package test.testSOP.algorithms.multicloud;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Path;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import simulator.DataCenterWorkloadSimulator;
import test.testSOP.Utility;



public class RunExperimentMulticloud {
	static Log log = LogFactory.getLog(RunExperimentMulticloud.class); 
	public static void main(String args[]){
		log.info("EXPERIMENT Multicloud - SOPVP");
		
		
		Utility.deleteFile(SOPVP.MIGRATION_PATH, log);
		Utility.deleteFile(Utility.HOST_NUMBER_PATH, log);
		Utility.deleteFile(SOPVP.COMPUTATION_TIME, log);
		Utility.deleteFile(SOPVP.TASK_REJECTIONS, log);
		
//		//Delete migration file
//		File file = new File(SOPVP.MIGRATION_PATH);
//		if (file.delete()) {
//			log.debug("Successfully deleted file "+SOPVP.MIGRATION_PATH);
//		}
//		else {
//			log.debug("Failed to delete file "+SOPVP.MIGRATION_PATH);
//		}
//
//		//Delete expected host number files
//		file = new File(Utility.HOST_NUMBER_PATH);
//		if (file.delete()) {
//			log.debug("Successfully deleted file "+Utility.HOST_NUMBER_PATH);
//		}
//		else {
//			log.debug("Failed to delete file "+Utility.HOST_NUMBER_PATH);
//		}
//		//Delete computatin time files
//		file = new File(SOPVP.COMPUTATION_TIME);
//		if (file.delete()) {
//			log.debug("Successfully deleted file "+SOPVP.COMPUTATION_TIME);
//		}
//		else {
//			log.debug("Failed to delete file "+SOPVP.COMPUTATION_TIME);
//		}
				
		String dcworms_args[] = {
				"src/test/testSOP/algorithms/multicloud/multicloud.properties"
				};
		DataCenterWorkloadSimulator.main(dcworms_args);
		
		try {
			String expectedHostNbDest = "src/test/testSOP_results/data/multicloud/expectedHostNumber.txt";
			Utility.deleteFile(expectedHostNbDest, log);
			File afile =new File(Utility.HOST_NUMBER_PATH);
			if(afile.renameTo(new File(expectedHostNbDest))){
				System.out.println("File is moved successful!");
			}else{
				System.out.println("File is failed to move!");
			}
			
	    }catch(Exception e){
	    	e.printStackTrace();
	    }
	}
}
